%define real_name WWW-Search

Summary:	WWW-Search module for perl 
Name:		perl-%{real_name}
Version: 2.479
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/M/MT/MTHURN/%{real_name}-%{version}.tar.bz2
Patch0:		WWW-Search-2.476-stderr.diff
BuildRequires:	perl-devel
BuildRequires:	dos2unix
BuildRequires:	perl-DateManip
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-IO-Capture >= 0.05
BuildRequires:	perl-Test-File
BuildRequires:	perl-Test-Inline >= 0.16
BuildRequires:  perl-libwww-perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
WWW-Search module for perl

%prep
%setup -q -n %{real_name}-%{version} 
%patch0 -p1

# nuke them ^M's
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

# perl path hack
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/AutoSearch
%{_bindir}/WebSearch
%{perl_vendorlib}/WWW/*.pm
%{perl_vendorlib}/WWW/Search/*.pm
%{perl_vendorlib}/WWW/Search/Null/*.pm
%{_mandir}/*/*

%changelog
* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.479-1mdk
- New release 2.479

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.476-2mdk
- Fix BuildRequires

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.476-1mdk
- initial Mandriva package 
